Package org.apache.uima.collection

# Class CollectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.uima.UIMAException
org.apache.uima.collection.CollectionException

All Implemented Interfaces:
  `Serializable`, `I18nExceptionI`

public class CollectionException extends UIMAException
Thrown to indicate that there is a problem with some aspect of a Collection. For example, this exception could be thrown if a collection could not be read from or written to.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INCORRECT_INPUT_TO_CAS_INITIALIZER`
  Message key for a standard UIMA exception message: The CAS Initializer requires an input of class {0}, but received an object of class {1}.
  `static final String`
  `MISSING_CAS_INITIALIZER`
  Message key for a standard UIMA exception message: The Collection Reader "{0}" requires a CAS Initializer.

  ### Fields inherited from class org.apache.uima.UIMAException

  `STANDARD_MESSAGE_CATALOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionException()`
  Creates a new exception with a null message.
  `CollectionException(String aMessageKey, Object[] aArguments)`
  Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
  `CollectionException(String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
  `CollectionException(String aResourceBundleName, String aMessageKey, Object[] aArguments)`
  Creates a new exception with a the specified message.
  `CollectionException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified message and cause.
  `CollectionException(Throwable aCause)`
  Creates a new exception with the specified cause and a null message.

- ## Method Summary

  ### Methods inherited from class org.apache.uima.UIMAException

  `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.I18nExceptionI

  `getLocalizedMessage, hasMessageKey`

- ## Field Details

  - ### MISSING_CAS_INITIALIZER

    public static final String MISSING_CAS_INITIALIZER
    Message key for a standard UIMA exception message: The Collection Reader "{0}" requires a CAS Initializer. None was supplied.
    See Also:
      - Constant Field Values

  - ### INCORRECT_INPUT_TO_CAS_INITIALIZER

    public static final String INCORRECT_INPUT_TO_CAS_INITIALIZER
    Message key for a standard UIMA exception message: The CAS Initializer requires an input of class {0}, but received an object of class {1}.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CollectionException

    public CollectionException()
    Creates a new exception with a null message.

  - ### CollectionException

    public CollectionException(Throwable aCause)
    Creates a new exception with the specified cause and a null message.
    Parameters:
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### CollectionException

    public CollectionException(String aResourceBundleName, String aMessageKey, Object[] aArguments)
    Creates a new exception with a the specified message.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### CollectionException

    public CollectionException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified message and cause.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### CollectionException

    public CollectionException(String aMessageKey, Object[] aArguments)
    Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### CollectionException

    public CollectionException(String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any